"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var request = require("request");
var Sequence = /** @class */ (function () {
    function Sequence(context) {
        this.context = context;
    }
    Sequence.prototype.subscribe = function (id) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            request({
                url: 'https://sequence-api.recime.io/v1/graphql',
                method: 'POST',
                json: true,
                headers: {
                    'x-recime-api-key': _this.context.bot.config['SYSTEM_RECIME_API_KEY']
                },
                body: {
                    query: "mutation Subscribe($input: SubscribeInput!) {subscribe(input: $input)}",
                    variables: {
                        input: {
                            sequenceId: id,
                            userId: _this.context.args.sender
                        }
                    }
                }
            }, function (err, response, body) {
                if (err) {
                    console.error(err);
                    reject(err);
                }
                resolve(body);
            });
        });
    };
    Sequence.prototype.unsubscribe = function (id) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            request({
                url: 'https://sequence-api.recime.io/v1/graphql',
                method: 'POST',
                json: true,
                headers: {
                    'x-recime-api-key': _this.context.bot.config['SYSTEM_RECIME_API_KEY']
                },
                body: {
                    query: "mutation Unsubscribe($input: UnsubscribeInput!) {unsubscribe(input: $input)}",
                    variables: {
                        input: {
                            sequenceId: id,
                            userId: _this.context.args.sender
                        }
                    }
                }
            }, function (err, reponse, body) {
                if (err) {
                    console.error(err);
                    reject(err);
                }
                resolve(body);
            });
        });
    };
    return Sequence;
}());
exports.Sequence = Sequence;
