export declare class Config {
    static schema: {
        "version": string;
        "bot-framework": {
            "type": string;
            "properties": {
                "id": {
                    "type": string;
                };
                "serviceUrl": {
                    "type": string;
                };
                "channelId": {
                    "type": string;
                };
                "from": {
                    "type": string;
                    "properties": {
                        "id": {
                            "type": string;
                        };
                        "name": {
                            "type": string;
                        };
                    };
                };
                "conversation": {
                    "type": string;
                    "properties": {
                        "id": {
                            "type": string;
                        };
                    };
                };
                "recipient": {
                    "type": string;
                    "properties": {
                        "id": {
                            "type": string;
                        };
                        "name": {
                            "type": string;
                        };
                    };
                };
            };
            "required": string[];
        };
        "facebook": {
            "type": string;
            "properties": {
                "object": {
                    "type": string;
                    "default": string;
                };
                "entry": {
                    "type": string;
                    "items": {
                        "type": string;
                        "properties": {
                            "id": {
                                "type": string;
                            };
                            "time": {
                                "type": string;
                            };
                            "messaging": {
                                "type": string;
                                "items": {
                                    "type": string;
                                    "properties": {
                                        "timestamp": {
                                            "type": string;
                                        };
                                        "sender": {
                                            "type": string;
                                            "properties": {
                                                "id": {
                                                    "type": string;
                                                };
                                            };
                                        };
                                        "recipient": {
                                            "type": string;
                                            "properties": {
                                                "id": {
                                                    "type": string;
                                                };
                                            };
                                        };
                                    };
                                }[];
                            };
                            "standby": {
                                "type": string;
                                "items": {
                                    "type": string;
                                    "properties": {
                                        "timestamp": {
                                            "type": string;
                                        };
                                        "sender": {
                                            "type": string;
                                            "properties": {
                                                "id": {
                                                    "type": string;
                                                };
                                            };
                                        };
                                        "recipient": {
                                            "type": string;
                                            "properties": {
                                                "id": {
                                                    "type": string;
                                                };
                                            };
                                        };
                                    };
                                }[];
                            };
                        };
                        "required": string[];
                    }[];
                };
            };
            "required": string[];
        };
        "slack": {
            "type": string;
            "properties": {
                "type": {
                    "type": string;
                };
                "token": {
                    "type": string;
                };
                "challenge": {
                    "type": string;
                };
            };
            "required": string[];
        };
        "slack-command": {
            "type": string;
            "properties": {
                "ssl_check": {
                    "type": string;
                };
                "token": {
                    "type": string;
                };
            };
            "required": string[];
        };
        "slack-event": {
            "type": string;
            "properties": {
                "token": {
                    "type": string;
                };
                "team_id": {
                    "type": string;
                };
                "api_app_id": {
                    "type": string;
                };
                "event": {
                    "type": string;
                    "properties": {
                        "type": {
                            "type": string;
                        };
                        "user": {
                            "type": string;
                        };
                        "event_ts": {
                            "type": string;
                        };
                    };
                };
                "type": {
                    "type": string;
                };
                "event_id": {
                    "type": string;
                };
                "event_time": {
                    "type": string;
                };
            };
            "required": string[];
        };
        "sendbird": {
            "type": string;
            "properties": {
                "app_id": {
                    "type": string;
                };
                "category": {
                    "type": string;
                };
                "ts": {
                    "type": string;
                };
                "sender": {
                    "type": string;
                    "properties": {
                        "nickname": {
                            "type": string;
                        };
                        "user_id": {
                            "type": string;
                        };
                        "profile_url": {
                            "type": string;
                        };
                    };
                };
                "bot": {
                    "type": string;
                    "properties": {
                        "bot_token": {
                            "type": string;
                        };
                        "bot_profile_url": {
                            "type": string;
                        };
                        "bot_nickname": {
                            "type": string;
                        };
                        "bot_userid": {
                            "type": string;
                        };
                    };
                };
                "message": {
                    "type": string;
                    "properties": {
                        "text": {
                            "type": string;
                        };
                    };
                    "required": string[];
                };
                "channel": {
                    "type": string;
                    "properties": {
                        "channel_type": {
                            "type": string;
                        };
                        "channel_url": {
                            "type": string;
                        };
                        "name": {
                            "type": string;
                        };
                        "cover_url": {
                            "type": string;
                        };
                    };
                    "required": string[];
                };
            };
            "required": string[];
        };
        "telegram-callback": {
            "type": string;
            "properties": {
                "update_id": {
                    "type": string;
                };
                "callback_query": {
                    "type": string;
                    "properties": {
                        "id": {
                            "type": string;
                        };
                        "from": {
                            "type": string;
                            "properties": {
                                "id": {
                                    "type": string;
                                };
                                "is_bot": {
                                    "type": string;
                                };
                                "first_name": {
                                    "type": string;
                                };
                                "last_name": {
                                    "type": string;
                                };
                                "username": {
                                    "type": string;
                                };
                                "language_code": {
                                    "type": string;
                                };
                            };
                        };
                        "message": {
                            "type": string;
                            "properties": {
                                "message_id": {
                                    "type": string;
                                };
                                "date": {
                                    "type": string;
                                };
                                "text": {
                                    "type": string;
                                };
                            };
                            "required": string[];
                        };
                    };
                };
            };
            "required": string[];
        };
        "telegram": {
            "type": string;
            "properties": {
                "update_id": {
                    "type": string;
                };
                "message": {
                    "type": string;
                    "properties": {
                        "message_id": {
                            "type": string;
                        };
                        "from": {
                            "type": string;
                            "properties": {
                                "id": {
                                    "type": string;
                                };
                                "is_bot": {
                                    "type": string;
                                };
                                "first_name": {
                                    "type": string;
                                };
                                "last_name": {
                                    "type": string;
                                };
                                "username": {
                                    "type": string;
                                };
                                "language_code": {
                                    "type": string;
                                };
                            };
                        };
                        "chat": {
                            "type": string;
                            "properties": {
                                "id": {
                                    "type": string;
                                };
                                "first_name": {
                                    "type": string;
                                };
                                "last_name": {
                                    "type": string;
                                };
                                "username": {
                                    "type": string;
                                };
                                "type": {
                                    "type": string;
                                };
                            };
                            "required": string[];
                        };
                        "date": {
                            "type": string;
                        };
                        "text": {
                            "type": string;
                        };
                    };
                    "required": string[];
                };
            };
            "required": string[];
        };
        "twilio": {
            "type": string;
            "properties": {
                "Body": {
                    "type": string;
                };
                "SmsMessageSid": {
                    "type": string;
                };
                "MessageSid": {
                    "type": string;
                };
                "AccountSid": {
                    "type": string;
                };
                "From": {
                    "type": string;
                };
                "SmsSid": {
                    "type": string;
                };
            };
            "required": string[];
        };
        "wechat": {
            "type": string;
            "properties": {
                "ToUserName": {
                    "type": string;
                };
                "FromUserName": {
                    "type": string;
                };
                "CreateTime": {
                    "type": string;
                };
                "MsgType": {
                    "type": string;
                };
                "Content": {
                    "type": string;
                };
                "MsgId": {
                    "type": string;
                };
            };
            "required": string[];
        };
        "viber": {
            "type": string;
            "properties": {
                "event": {
                    "type": string;
                };
                "timestamp": {
                    "type": string;
                };
                "message_token": {
                    "type": string;
                };
                "sender": {
                    "type": string;
                    "properties": {
                        "id": {
                            "type": string;
                        };
                        "name": {
                            "type": string;
                        };
                        "avatar": {
                            "type": string;
                        };
                        "language": {
                            "type": string;
                        };
                        "country": {
                            "type": string;
                        };
                        "api_version": {
                            "type": string;
                        };
                    };
                };
                "message": {
                    "type": string;
                    "properties": {
                        "text": {
                            "type": string;
                        };
                        "type": {
                            "type": string;
                        };
                    };
                };
            };
            "required": string[];
        };
        "kik": {
            "type": string;
            "properties": {
                "entry": {
                    "type": string;
                    "items": {
                        "type": string;
                        "properties": {
                            "chatId": {
                                "type": string;
                            };
                            "id": {
                                "type": string;
                            };
                            "from": {
                                "type": string;
                            };
                            "type": {
                                "type": string;
                            };
                            "body": {
                                "type": string;
                            };
                            "timestamp": {
                                "type": string;
                            };
                            "chatType": {
                                "type": string;
                            };
                        };
                    }[];
                };
            };
        };
    };
}
